# Download events

> Download audit events as a CSV file. Each logging experience provides separate download endpoints.

Download audit events as a CSV file. Each logging experience provides separate download endpoints.

## Unified logs experience

The unified logs experience uses these API endpoints and provides two scopes:

* **Organization-level**: `/orgaudit_/`
* **Tenant-level**: `/tenantaudit_/`

These APIs download audit information across UiPath services onboarded to the unified framework.

### API endpoint

#### Organization level

`GET` `{accessURL}/{org-name}/orgaudit_/api/query/downloadevents`

Replace `{accessURL}` in all endpoint paths with the base URL for your cloud platform:

| Cloud platform | Access URL |
| --- | --- |
| Test Cloud | `https://cloud.uipath.com/` |
| Test Cloud Public Sector | `https://govcloud.uipath.us/` |
| Test Cloud Dedicated | `https://{customURL}.dedicated.uipath.com/` |

#### Tenant level

`GET` `{accessURL}/{org-name}/{tenant-name}/tenantaudit_/api/query/downloadevents`

Replace `{accessURL}` in all endpoint paths with the base URL for your cloud platform:

| Cloud platform | Access URL |
| --- | --- |
| Test Cloud | `https://cloud.uipath.com/` |
| Test Cloud Public Sector | `https://govcloud.uipath.us/` |
| Test Cloud Dedicated | `https://{customURL}.dedicated.uipath.com/` |

### Scopes

Requires one of the following scopes:

* PM.Audit
* PM.Audit.Read

### Request headers

```
--header 'Authorization: Bearer {access_token}'\
--header 'Content-Type: application/json'
```

:::note
To obtain the `{access_token}`, make sure to authenticate through one of the methods described [here](https://docs.uipath.com/test-cloud/automation-cloud/latest/api-guide/authentication-methods#authentication-methods).
:::

### Query parameters

 <colgroup>
  <col/>
  <col/>
  <col/>
 </colgroup>
 
  
    Parameter 
    Type 
    Description 
  
 
 
  
    <code>from</code> (optional) 
    DateTime 
    Start of time interval 
  
  
    <code>to</code> (optional) 
    DateTime 
    End of time interval 
  
  
    <code>source</code> (optional) 
    Array [String] 
    List of event sources 
  
  
    <code>target</code> (optional) 
    Array [String] 
    List of categories 
  
  
    <code>type</code> (optional) 
    Array [String] 
    List of activities 
  
  
    <code>userIds</code> (optional) 
    Array [String] 
    List of user identifiers 
  
  
    <code>status</code> (optional) 
    Integer 
   
      
         0 = succeeded 
         1 = failed 
      

  
 

### Responses

#### 200 OK

Downloads a.CSV file containing the selected audit events.

### Example request

#### Organization level

```
curl --location 'https://cloud.uipath.com/{org-name}/orgaudit_/api/query/downloadevents?from=2024-12-24T00:00:00Z&to=2025-03-24T00:00:00Z&status=0' \
--header 'Authorization: Bearer {token}'
```

#### Tenant level

```
curl --location 'https://cloud.uipath.com/{org-name}/{tenant-name}/tenantaudit_/api/query/events?status=0&from=2024-12-24T19%3A11%3A46.403Z&to=2025-03-24T19%3A11%3A46.403Z&source
=1bf33a0d-fbe0-4fe5-b7f6-c61379878989&source
=afef9b33-872c-4c10-9039-009866131e77&source=f51fa47f-a015-4b0b-b9c3-28caa3d00788
&source=3e5e8c49-5e7f-41cc-a2ec-c42f9deebb70&target=5c8402f9-0529-4317-8790-568842208620&target=19d7f55c-c580-4bec-b6f0-d5deab0b17f3&target=09d74792-21f4-4bc9-a650-9020f8811c32&type=a912d4d8-df39-44c7-b696-27c5660c06da&type
=a57e644c-2d80-4f40-ac3b-b7c934d0a510&userIds
=4120ea1c-5d2b-4287-ba6c-904c694d2767&userIds=a922809d-3956-4376-8406-4eb2d6d6b363' \
--header 'Authorization: Bearer {token}'
```

## Classic logs experience

### API Endpoint

`GET` `{accessURL}/audit_/api/auditlogs/download`

Replace `{accessURL}` in all endpoint paths with the base URL for your cloud platform:

| Cloud platform | Access URL |
| --- | --- |
| Test Cloud | `https://cloud.uipath.com/` |
| Test Cloud Public Sector | `https://govcloud.uipath.us/` |
| Test Cloud Dedicated | `https://{customURL}.dedicated.uipath.com/` |

### Scopes

Requires one of the following scopes:

* PM.Audit
* PM.Audit.Read

### Request Headers

```
--header 'Authorization: Bearer {access_token}'\
--header 'Content-Type: application/json'
```

:::note
To obtain the `{access_token}`, make sure to authenticate through one of the methods described [here](https://docs.uipath.com/test-cloud/automation-cloud/latest/api-guide/authentication-methods#authentication-methods).
:::

### Query Parameters

| Query param | Data type | Description |
| --- | --- | --- |
| `language`  (optional) | string | Specify the available display language, in the shorten form.  For example, `en`, `fr`, `de`, `ja` etc. |
| `size`  (optional) | int32 | Specify the download size. |

### Responses

#### 200 OK

The list of audit events is downloaded to your machine, in the `.csv` format.

### Example Request

Let's say you gathered all the information needed to build the API call.

* Your `{baseURL}` is: `https://cloud.uipath.com/{organizationName}`
* Your `{access_token}` is: `1234` (for length considerations).
* You set the following query params:
  + `language` = `en`
  + `size` = 13, to download top 13 entries.

The call should resemble the following example (CURL):

```
curl --location --request GET ' https://cloud.uipath.com/{organizationName}/audit_/api/auditlogs/download?language=en&size=13' \
--header 'Authorization: Bearer 1234' \
--header 'Content-Type: application/json'
```
